/**
 * A valid Json property value
 */
export type JsonValue = object | null | boolean | string | number;
/**
 * A Json Object or an array of Json object
 */
export type Json = {
    [property: string]: Json | JsonValue;
} | Json[];
/**
 * Represents custom data, which can be a JSON object or a JSON-formatted string.
 * There is a 2MB limit on the size of the custom data object.
 */
export type CustomData = Json | string;
