import vonage from './vonage';
/**
 * Represents an Either monad for optional properties.
 *
 * It can be also set via the helper functions {@link some} and {@link none}.
 */
export type Option<T> = vonage.utils.OptionJS<T>;
export declare const Option: typeof vonage.utils.OptionJS;
export declare const mapOption: <T>(value?: T | undefined) => Option<T | null>;
/**
 * @param value The wrapped value
 * @returns An {@link Option.Some}
 */
export declare const some: <T>(value: T) => Option<T>;
/**
 *
 * @returns An {@link Option.None}
 */
export declare const none: <T>() => Option<T>;
