import { readFileSync, writeFileSync } from 'fs';

function replaceAllDoNotUseOrImplement(filePath) {
  const oldLines = readFileSync(filePath, 'utf8').split('\n');
  const newLines = [];

  let toSkip = false;

  for (let line of oldLines) {
    if (line.includes('__doNotUseOrImplementIt')) {
      toSkip = !line.includes(';');
      continue;
    } else if (toSkip) {
      toSkip = !line.includes('};');
      continue;
    }

    newLines.push(line);
  }

  writeFileSync(filePath, newLines.join('\n'), 'utf8');
}

const filePath = process.argv[2];
replaceAllDoNotUseOrImplement(filePath);
